---
- name: Copy the SSH key to authenticate against gitlab
  ansible.builtin.copy:
    src: ssh_key_gitlab_inf
    dest: /root/.ssh/id_ed25519
    owner: root
    group: root
    mode: "0600"

- name: Copy the SSH key config to authenticate against gitlab
  ansible.builtin.copy:
    src: git_ssh_config
    dest: /root/.ssh/config
    owner: root
    group: root
    mode: "0644"

# Why?
#
- name: Copy the .gitconfig file
  ansible.builtin.copy:
    src: gitconfig
    dest: /root/.gitconfig
    owner: root
    group: root
    mode: "0644"

- name: Git checkout of Moodle environment
  ansible.builtin.git:
    repo: "{{ moodle_git_repo }}"
    dest: "{{ moodle_doc_root }}"
    accept_hostkey: true
    version: "{{ moodle_git_version }}"
